API referenceAdmin operations
List application users
agw_identity_auth.session_token<token>
The console's session cookie. Admin requests from the console also send x-console-request: 1.
In: cookie
Path Parameters
app*string
Query Parameters
month?string
YYYY-MM; defaults to the current UTC month.
Match
^\d{4}-(?:0[1-9]|1[0-2])$query?string
Substring match on the user id.
status?string
Value in
- "active"
- "blocked"
limit?integer
Range
1 <= value <= 200Default
50offset?|
Range
0 <= valueDefault
0Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/admin/apps/string/users"{ "app_id": "string", "month": "string", "total": 0, "limit": 0, "offset": 0, "users": [ { "id": "string", "status": "active", "attest_key_id": "string", "attest_registered": true, "installs": 0, "is_install": true, "created_at": "string", "last_seen_at": "string", "is_virtual": true, "usage": { "requests": 0, "input_tokens": 0, "cached_input_tokens": 0, "cache_write_tokens": 0, "output_tokens": 0, "cost_usd": 0, "errors": 0 } } ]}Revoke an application API key
Revoke an application API key (POST /v1/admin/apps/{app}/keys/{key}/revoke) in the App AI Gateway API.
Get an application user
Get an application user (GET /v1/admin/apps/{app}/users/{user}) in the App AI Gateway API. Accepts a management key, MCP OAuth token or console session.